import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SharedStylesHost {
    /** @internal */
    protected _stylesSet: Set<string>;
    addStyles(styles: string[]): void;
    onStylesAdded(additions: Set<string>): void;
    getAllStyles(): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SharedStylesHost, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SharedStylesHost>;
}
export declare class WMDomSharedStylesHost extends SharedStylesHost implements OnDestroy {
    private _doc;
    private _hostNodes;
    constructor(_doc: any);
    private _addStylesToHost;
    addHost(hostNode: Node): void;
    removeHost(hostNode: Node): void;
    onStylesAdded(additions: Set<string>): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WMDomSharedStylesHost, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WMDomSharedStylesHost>;
}
